## maas 1.7.3+bzr3363

=== debian/changelog ===
maas (1.7.3+bzr3363-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release, 1.7.3 bzr3363:
    - Fix sorting by MAC address on node listing page (LP: #1437094)
    - Automatically set correct boot resources and start re-import
      so MAAS is usable after upgrade from 1.5. (LP: #1439359)
    - Maintain backwards compatibility with MAAS 1.5 (custom) preseeds names
      so users don't have to manually change preseed names. (LP: #1439366)
    - Expose the version and the subversion of the running MAAS
      on the API. (LP: #1441133)
    - Fix Internal Server Error when saving a cluster without specifying
      Router IP. (LP: #1441933) 
  - debian/patches/02-pserv-config.patch: Ensure pserv config file has a
    default. This will also fix (LP: #1273197)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 24 Mar 2015 15:56:10 -0400

maas (1.7.2+bzr3355-0ubuntu1) trusty; urgency=medium

  * New upstream release, 1.7.2 bzr3355:
    - Support AMT Version > 8 (LP: #1331214)
    - Fix call to amttool when restarting a node to not fail
      disk erasing. (LP: #1397567)
    - Do not generate the 'option routers' stanza if router IP
      is None. (LP: #1415538)
    - Do not deallocate StaticIPAddress before node has powered
      off. (LP: #1403909)
    - Remove all OOPS reporting. (LP: #1405998)
    - Update node host maps when a sticky ip address is claimed
      over the API. (LP: #1423931)
  * debian/control:
    - Depends on ubuntu-cloudimage-keyring for region (LP: #1424287)
    - Depends on pxelinux instead of syslinux-dev (LP: #1433697)
  * Drop dependencies on python-oops* and add dependency to python-bson.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 30 Jan 2015 11:58:07 +0000

maas (1.7.1+bzr3341-0ubuntu1) vivid; urgency=medium

  * New upstream release, 1.7.1 bzr3341:
    - Fix crash when trying to add an empty network. (LP: #1414036)
    - Fix Add Node WebUI Page to not display OS/Release if
      not populated (LP: #1413030)
    - Fix Power8 VM enlistment to correctly by correctly parsing the 
      MAC address. (LP: #1409952)
    - Fix IP Address reservation to not fail when trying to reserve
      an IP address. (LP: #1409852) 
    - Fix probe-and-enlist locking up cluster (LP: #1403609)
    - Fix slow node event log queries (LP: #1402237)
    - Fix marking settings page as active when viewing node page
      (LP: #1403043)
    - Fix broken zone link on node page (LP: #1402736)
    - Fix cluster process from uses high levels of CPU on web
      requests (LP: #1401707)
    - Update API documentation for error codes (LP: #1391193)
    - Do not query broken nodes power state (LP: #1402243)
    - Display MAC address node booted from on node listing
      (LP: #1399676)
    - Show node memory size in MiB or GiB (LP: #1399736)
    - Fix deadlock caused by updating nodes PXE MAC address
      on every PXE request (LP: #1401983)
    - Fix auto creation of networks using the interface name
      instead of the cluster name (LP: #1400909)
    - Fix node page to display memory in GiB (LP: #1401349)
    - Fix to maas not knowing about VM paused state (LP: #1394382)
    - Fix CustomOS image by returning the correct filename and path
      (LP: #1401241, LP: #1393953)
    - Don't query for node info when we don't have a MAC address when
      accessing the TFTP server from local machine. (LP: #1398159)
    - Ensure PXE MAC address is the first reported to MAAS on 
      enlistment (LP: #1400849)
    - Do not use poweroff.c32/poweroff.com as some systems don't
      support it. Instead use the ephemeral environment to issue a
      poweroff command. (LP: #1376716)
    - Pipe script commands to /bind/sh instead of using shell=True 
      to prevent showing error output of px ax (LP: #1399331)
    - Do not delete node's connected to a cluster interface, if
      the latter gets removed. (LP: #1396308)
    - Ensure disk erasing always runs the commissioning
      ephemeral image (LP: #1397193)
    - Add capability to use an option prefix_filer parameter to
      probe_and_enlist_hardware when the model is virsh (LP: #1393423)
    - Add capability to query power status for sm15k (LP: #1384424)
    - Add capability to query power status for UCSM (LP: #1384426)
    - Ensure WSGI has a home defined for the user. (LP: #1399016)

  [ Jeroen Vermeulen ]
  * debian/maas-cluster-controller.postinst: configure MAAS_URL through new
    "maas-provision configure-maas-url" sub-command instead of with "sed".

  [ Andres Rodriguez ]
  * Set 'maas' homedir to '/var/lib/maas' (LP: #1399016):
    - debian/maas-common.postinst: Do not try to update 'maas'
      home user dir on upgrade.
  * debian/control: Tighten Dependency Versioning of some packages.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 30 Jan 2015 11:47:16 +0000

maas (1.7.0+bzr3299-0ubuntu1) utopic; urgency=medium

  * New upstream release, 1.7.0.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 14 Nov 2014 08:38:39 -0500

maas (1.7.0~rc3+bzr3299-0ubuntu1) utopic; urgency=medium

  * New upstream release, RC3 bzr 3299
    - Fix dashboard tooltip messages which had stopped being displayed
      (LP: #1390434)

 -- Julian Edwards <julian.edwards@canonical.com>  Tue, 11 Nov 2014 12:23:07 +1000

maas (1.7.0~rc2+bzr3297-0ubuntu1) utopic; urgency=medium

  * New upstream release, RC2 bzr 3297
    - Allow marking a node in the DISK_ERASING state as broken (LP: #1388919)
    - Prevent concurrent allocations of static IP addresses from returning
      the same clashing address. (LP: #1387262)

  [ Andres Rodriguez ]
  * debian/maas-cluster-controller.postinst: Make sure that cluster sets
    the correct permissions for proxy log dir if running on the same
    system. (LP: #1377964)

 -- Julian Edwards <julian.edwards@canonical.com>  Fri, 07 Nov 2014 09:30:52 +1000

maas (1.7.0~rc1+bzr3295-0ubuntu1) trusty; urgency=medium

  * New Upstream Release, RC1 bzr 3295
    - If using MSCM (Moonshot Chassis Manager) on a M300, do not overwrite

