=== debian/control ===
Source: maas
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.1.0~),
               dh-apport,
               po-debconf,
               python (>= 2.7),
               python-distribute,
               python-django
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: https://launchpad.net/maas

Package: maas
Architecture: all
Depends: ${misc:Depends},
 maas-cluster-controller (= ${binary:Version}),
 maas-region-controller (= ${binary:Version}),
 python-django-maas (= ${binary:Version})
Description: MAAS server all-in-one metapackage
 MAAS is "Metal As A Service", a system for dynamic provisioning of physical
 servers that has many of the same characteristics as a cloud.  You register
 servers with MAAS by telling MAAS about their IPMI or other control system.
 MAAS can then do hardware inventory, and provision that system on demand
 with whatever OS and software you like.  MAAS is standalone software that
 works with any configuration system, but for best results combine MAAS with
 Juju.
 .
 MAAS provides:
  * Hardware inventory of servers
  * Dynamic provisioning based on name or attributes such as disk, RAM cores, sockets
  * DNS and DHCP as needed
  * PXE boot services
 .
 This package is a metapackage which installs all of the separate components
 of MAAS on a single machine.

Package: maas-common
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 )
Description: MAAS server common files
 This package contains the common files for any MAAS installation.

Package: maas-region-controller-min
Architecture: all
Depends: apache2,
         bind9utils,
         dbconfig-common,
         iproute,
         libapache2-mod-wsgi,
         libjs-raphael,
         libjs-yui3-full,
         libjs-yui3-min,
         maas-common (= ${binary:Version}),
         python-django (>= 1.4),
         python-django-maas (= ${binary:Version}),
         python-django-piston,
         python-django-south,
         python-maas-provisioningserver (= ${binary:Version}),
         python-djorm-ext-pgarray,
         rsyslog,
         ubuntu-cloudimage-keyring,
         maas-proxy (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends}
Breaks: maas-region-controller ( <= 1.4+bzr1693+dfsg-0ubuntu3 )
Replaces: maas-region-controller ( <= 1.4+bzr1693+dfsg-0ubuntu3 )
Description: MAAS Server minimum region controller
 This package installs and configures the minimum region controller
 services provided by MAAS, including the web UI, caching package proxy,
 networking/traffic control, and remote logging system.

Package: maas-region-controller
Architecture: all
Depends: maas-region-controller-min (= ${binary:Version}),
         postgresql (>= 9.1),
         ${misc:Depends},
         ${python:Depends}
Recommends: openssh-server, maas-dns (= ${binary:Version})
Description: MAAS server complete region controller
 This package installs and configures the complete MAAS region controller,
 including the minimum setup, plus the database server and messaging queue.

Package: python-maas-provisioningserver
Section: python
Architecture: all
Depends: python-bson,
         python-celery,
         python-crochet,
         python-distro-info,
         python-formencode,
         python-jsonschema,
         python-lockfile,
         python-lxml,
         python-maas-client (= ${binary:Version}),
         python-netifaces,
         python-paramiko,
         python-pexpect,
         python-pyparsing,
         python-seamicroclient,
         python-simplestreams,
         python-tempita,
         python-twisted-core,
         python-twisted-web,
         python-txamqp,
         python-txtftp,
         python-yaml,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Breaks: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
Replaces: python-django-maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-cluster-controller (<= 0.1+bzr1243+dfsg-0ubuntu3), maas-dhcp (<= 1.4+bzr1817+dfsg-0ubuntu1)
Description: MAAS server provisioning libraries
 This package provides the MAAS provisioning server python libraries.

Package: maas-cli
Architecture: all
Depends: python-bzrlib,
         python-httplib2,
         python-maas-client (= ${binary:Version}),
         python-oauth,
         ${misc:Depends},
         ${python:Depends}
Conflicts: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Replaces: maas-region-controller-min (<= 1.5+bzr1909-0ubuntu1)
Description: MAAS command line API tool
 This package contains the MAAS client command line API tool.
 This tool enables automation of tasks in MAAS, remotely, through
 its API.

Package: python-maas-client
Section: python
Architecture: all
Depends: python-oauth, ${misc:Depends}, ${python:Depends}
Breaks: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Replaces: maas (<= 0.1+bzr971+dfsg-0ubuntu2 )
Description: MAAS python API client
 This package contains the MAAS client API Python modules.

Package: maas-cluster-controller
Architecture: all
Depends: apache2,
         authbind,
         bind9utils,
         distro-info,
         freeipmi-tools,
         grub-common,
         maas-cli (=${binary:Version}),
         maas-common (=${binary:Version}),
         maas-dhcp (=${binary:Version}),
         python-httplib2,
         python-lockfile,
         python-maas-provisioningserver (=${binary:Version}),
         python-netaddr,
         python-oauth,
         python-tempita,
         python-twisted,
         python-zope.interface,
         rsyslog,
         pxelinux | syslinux-common (<< 3:6.00~pre4+dfsg-5),
         syslinux-common,
         tgt,
         ubuntu-cloudimage-keyring,
         uuid-runtime,
         wget,
         ${misc:Depends},
         ${python:Depends}
Suggests: ipmitool, libvirt-bin, amtterm
Conflicts: tftpd-hpa
Breaks: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
Replaces: maas ( <= 0.1+bzr1048+dfsg-0ubuntu1 ), maas-region-controller ( <= 0.1+bzr1314+dfsg-0ubuntu1 )
Description: MAAS server cluster controller
 This package contains the MAAS cluster controller, which is responsible
 for enabling and controlling remote DHCP/TFTP instances on their own
 subnets.

Package: python-django-maas
Section: python
Architecture: all
Depends: python-amqp,
         python-bson,
         python-celery,
         python-convoy,
         python-crochet,
         python-curtin,
         python-lockfile,
         python-lxml,
         python-maas-client (= ${binary:Version}),
         python-netaddr,
         python-psycopg2,
         python-sphinx,
         python-tempita,
         python-twisted,
         python-txamqp,
         python-zope.interface,
         ${misc:Depends},
         ${python:Depends}
Description: MAAS server Django web framework
 This package provides the Django web framework for MAAS.

Package: maas-dhcp
Architecture: all
Depends: isc-dhcp-server (>= 4.2.4), ${misc:Depends}
Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: MAAS DHCP server
 This package installs and configures a DHCP server that can be used by
 MAAS, and enhances the overall MAAS user experience.

Package: maas-dns
Architecture: all
Depends: bind9,
 maas-region-controller-min (= ${binary:Version}),
 python-iscpy,
 ${misc:Depends}
Conflicts: dnsmasq
Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Replaces: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
Description: MAAS DNS server
 This package installs and configures a DNS server that can be used by
 MAAS, and enhances the overall MAAS user experience.

Package: maas-proxy
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         squid3
Conflicts: squid-deb-proxy
Replaces: squid-deb-proxy
Description: MAAS Caching Proxy
 This package installs and configures a Caching Proxy server that can be
 used by MAAS. It enhances the overall MAAS user experience.
