=== debian/changelog ===
maas (1.7.6+bzr3376-0ubuntu2~14.10.1) utopic; urgency=medium

  * debian/control: Make maas-dns a Dependy of maas-region-controller.
  * debian/maas-region-controller.postinst: Ensure DNS config migration is
    always run. (LP: #1413388)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 10 Jul 2015 13:47:40 -0400

maas (1.7.6+bzr3376-0ubuntu1) wily; urgency=medium

  * New upstream release 1.7.6 bzr3376:
    - Accept list of forwarders for upstream_dns rather than just
      one. (LP: #1470585)
    - Fix upgrade issue where it would remove custom DNS config,
      potentially breaking DNS. (LP: #1413388)

  [ Raphaël Badin ]
  * Drop dependency on python-iscpy: the code has been integrated into
    MAAS. (LP: #1413388).

  [ Andres Rodriguez ]
  * Refactor maas-dns upgrade code so it doesn't break local DNS config
    and it gets migrated (LP: #1413388)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 03 Jul 2015 00:11:50 -0400

maas (1.7.5+bzr3369-0ubuntu1) vivid; urgency=medium

  * New upstream release, MAAS 1.7.5 bzr3369 (LP: #1460737):
    - MAAS cli/API: missing option set use-fast-installer /
      use-debian-installer (LP: #1456969)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 11 May 2015 12:43:31 +0100

maas (1.7.4+bzr3366-0ubuntu1) vivid; urgency=medium

  * New upstream release, MAAS 1.7.4 bzr3365:
    - When MAAS has too many leases, and lease parsing fails, MAAS fails
      to auto-map NIC with network. (LP: #1387859)
    - Alert a command-line user of `maas` when their local API description
      is out-of-date. (LP: #1329267)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 09 May 2015 12:07:15 +0100

maas (1.7.3+bzr3363-0ubuntu2) vivid; urgency=medium

  * Use python-django16 instead of python-django ( 1.7). MAAS does not
    support django 1.7 due to having a new migration system. (LP: #1447573)
  * Adding systemd units and packaging support. (LP: #1423613)
  * debian/control: Add missing dependency on python-apt. (LP: #1446878)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 22 Apr 2015 12:10:50 -0400
