=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 8.1.0~),
                dh-apport,
+               dh-systemd,
                po-debconf,
                python (>= 2.7),
                python-distribute,
@@ -55,7 +56,8 @@
          libjs-yui3-full,
          libjs-yui3-min,
          maas-common (= ${binary:Version}),
-         python-django (>= 1.4),
+         python-django16 | python-django (<< 1.7),
+         python-django,
          python-django-maas (= ${binary:Version}),
          python-django-piston,
          python-django-south,
@@ -75,11 +77,12 @@
 
 Package: maas-region-controller
 Architecture: all
-Depends: maas-region-controller-min (= ${binary:Version}),
+Depends: maas-dns (= ${binary:Version}),
+         maas-region-controller-min (= ${binary:Version}),
          postgresql (>= 9.1),
          ${misc:Depends},
          ${python:Depends}
-Recommends: openssh-server, maas-dns (= ${binary:Version})
+Recommends: openssh-server
 Description: MAAS server complete region controller
  This package installs and configures the complete MAAS region controller,
  including the minimum setup, plus the database server and messaging queue.
@@ -181,6 +184,7 @@
 Section: python
 Architecture: all
 Depends: python-amqp,
+         python-apt,
          python-bson,
          python-celery,
          python-convoy,
@@ -214,7 +218,6 @@
 Architecture: all
 Depends: bind9,
  maas-region-controller-min (= ${binary:Version}),
- python-iscpy,
  ${misc:Depends}
 Conflicts: dnsmasq
 Breaks: maas-dhcp (<= 0.1+bzr777+dfsg-0ubuntu1)
