=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,25 @@
 py_enums := $(wildcard src/*/enum.py)
 
 %:
-	dh $@ --with python2,apport --buildsystem=python_distutils
+	dh $@ --with python2,apport,systemd --buildsystem=python_distutils
 
 override_dh_installinit:
+	# maas-clusterd
+	dh_systemd_enable --name maas-clusterd
 	dh_installinit --name maas-clusterd
+	dh_systemd_start --name maas-clusterd
+	# maas-dhcpd
+	dh_systemd_enable --name maas-dhcpd
 	dh_installinit --name maas-dhcpd
+	dh_systemd_start --name maas-dhcpd
+	# maas-dhcpd6
+	dh_systemd_enable --name maas-dhcpd6
 	dh_installinit --name maas-dhcpd6
+	dh_systemd_start --name maas-dhcpd6
+	# maas-proxy
+	dh_systemd_enable --name maas-proxy
 	dh_installinit --name maas-proxy
+	dh_systemd_start --name maas-proxy
 
 override_dh_auto_build:
 	dh_auto_build
